Product comparison · 2 modems

Digicom USB ADSL2/2+Combo+Filtre vs TP-Link ADSL2+ Modem Router

Add a product
  • 11specifications compared
  • 5differ
  • 6identical
  • 9known for one product only

Key differences

The Digicom USB ADSL2/2+Combo+Filtre has 20.5 Mbit/s more upstream data rate than the TP-Link ADSL2+ Modem Router (24 Mbit/s vs 3.5 Mbit/s). The Digicom USB ADSL2/2+Combo+Filtre has 2 mm more depth than the TP-Link ADSL2+ Modem Router (110 mm vs 108 mm). The Digicom USB ADSL2/2+Combo+Filtre has 7 mm more height than the TP-Link ADSL2+ Modem Router (35 mm vs 28 mm). Operating temperature (T-T): 0 - 55 °C on the Digicom USB ADSL2/2+Combo+Filtre, 0 - 40 °C on the TP-Link ADSL2+ Modem Router.

  • Upstream data rate
    • USB ADSL2/2+Combo+Filtre:24 Mbit/s
    • ADSL2+ Modem Router:3.5 Mbit/s
  • Operating temperature (T-T)
    • USB ADSL2/2+Combo+Filtre:0 - 55 °C
    • ADSL2+ Modem Router:0 - 40 °C
  • Depth
    • USB ADSL2/2+Combo+Filtre:110 mm
    • ADSL2+ Modem Router:108 mm
  • Height
    • USB ADSL2/2+Combo+Filtre:35 mm
    • ADSL2+ Modem Router:28 mm
  • Width
    • USB ADSL2/2+Combo+Filtre:140 mm
    • ADSL2+ Modem Router:165 mm

Side by side

Differences highlightedShow differences only (off)
Comparison of USB ADSL2/2+Combo+Filtre, ADSL2+ Modem Router
20 specifications
Performance1 differ
Upstream data rateDiffers24 Mbit/s3.5 Mbit/s
Downstream data rate24 Mbit/s24 Mbit/s
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
Networking featuresKnown for oneUnknown — not stated by the sourceFast Ethernet
Supported protocolsKnown for oneUnknown — not stated by the sourceATM Forum UNI3.1/4.0 PVC - Up to 8 PVCs PPP over ATM (RFC 2364) PPP over Ethernet (RFC2516) IPoA (RFC1577/2225)
Featuresidentical
Connectivity LEDsYesYes
Ports & interfacesidentical
DC-in jackYesYes
Ethernet LAN (RJ-45) ports11
Modem (RJ-11) ports11
Poweridentical
Power supply typeKnown for oneUnknown — not stated by the source9VDC/0.6A PSU
Certificatesidentical
Compliance industry standardsKnown for oneUnknown — not stated by the sourceIEEE 802.3, IEEE802.3u
Operational conditions1 differ
Operating temperature (T-T)Differs0 - 55 °C0 - 40 °C
Operating relative humidity (H-H)10 - 90%10 - 90%
Storage temperature (T-T)Known for oneUnknown — not stated by the source-40 - 70 °C
Weight & dimensions3 differ
DepthDiffers110 mm108 mm
HeightDiffers35 mm28 mm
WidthDiffers140 mm165 mm
WeightKnown for one150 gUnknown — not stated by the source
System requirementsidentical
Mac compatibilityKnown for oneYesUnknown — not stated by the source
Compatible operating systemsKnown for oneWindows 7, Vista, XP, 98SE, ME, 2000, 2003, MAC OS 9 +, Linux 2.4 +Unknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More modem comparisons

All modem comparisons